﻿Shader "Custom/Adobe Fuse Eyelashes (Unity preset)" {
	Properties {
		_MainTex ("Base Color", 2D) = "white" {}
	}
	SubShader {
		Tags {"Queue" = "Transparent" "IgnoreProjector"="True"  "RenderType"="Transparent" }
		LOD 200
		Cull off
		
		CGPROGRAM
		// Physically based Standard lighting model, and enable shadows on all light types
		#pragma surface surf Standard noshadow alpha:fade

		// Use shader model 3.0 target, to get nicer looking lighting
		#pragma target 3.0

		sampler2D _MainTex;

		struct Input {
			float2 uv_MainTex;
		};


		void surf (Input IN, inout SurfaceOutputStandard o) {
			fixed4 c = tex2D (_MainTex, IN.uv_MainTex);
			o.Albedo = c.rgb;
			o.Alpha = c.a;
		}
		ENDCG
	}
	FallBack "Diffuse"
}
